package org.project.entity.players;

import org.project.entity.Entity;
import org.project.entity.enemies.Enemy;
import org.project.item.armors.Armor;
import org.project.item.armors.KnightArmor;
import org.project.item.weapons.Sword;
import org.project.item.weapons.Weapon;

public class Knight extends Player {

    private static final int MAX_HP = 400;
    private static final int MAX_MP = 40;
    private static final int SPECIAL_ABILITY_MANA_COST = 20;

    public Knight(String name){
        Weapon knightSword = new Sword();
        Armor knightArmor = new KnightArmor();
        super(name, MAX_HP, MAX_MP, knightSword, knightArmor, MAX_HP,MAX_MP);
    }

    @Override
    public void specialAbility(Enemy target) {
        System.out.println("Performing shield bash...");

        target.stun(true);
        target.takeDamage(50);
    }

    @Override
    public int specialAblMPCost() {
        return SPECIAL_ABILITY_MANA_COST;
    }
}
